Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::TypeCode::String< TAO::Null_RefCount_Policy > Class Template Reference

`#include <String_TypeCode_Static.h>`

Inheritance diagram for TAO::TypeCode::String< TAO::Null_RefCount_Policy >:

[legend]
Collaboration diagram for TAO::TypeCode::String< TAO::Null_RefCount_Policy >:

[legend]
List of all members.

## @c TAO CORBA::TypeCode Template Methods
`CORBA::TypeCode` template methods specific to `tk_string` `TypeCodes`. See also: `CORBA::TypeCode`
virtual CORBA::Boolean | equal_i (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) const
virtual CORBA::Boolean | equivalent_i (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) const
virtual CORBA::TypeCode_ptr | get_compact_typecode_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual CORBA::ULong | length_i (ACE_ENV_SINGLE_ARG_DECL) const
CORBA::ULong const | length_
## Public Member Functions
| String (CORBA::TCKind kind, CORBA::ULong length)
| Constructor.
TAO-specific @c CORBA::TypeCode Methods
Methods required by TAO's implementation of the `CORBA::TypeCode` class. See also: `CORBA::TypeCode`
virtual bool | tao_marshal (TAO_OutputCDR &cdr, CORBA::ULong offset) const
| Marshal this `TypeCode` into a CDR output stream.
virtual void | tao_duplicate (void)
| Increase the reference count on this `TypeCode`.
virtual void | tao_release (void)
| Decrease the reference count on this object.

### template<>
class TAO::TypeCode::String< TAO::Null_RefCount_Policy >

## Member Function Documentation

CORBA::Boolean TAO::TypeCode::String< TAO::Null_RefCount_Policy >::equal_i | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

CORBA::Boolean TAO::TypeCode::String< TAO::Null_RefCount_Policy >::equivalent_i | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

CORBA::TypeCode_ptr TAO::TypeCode::String< TAO::Null_RefCount_Policy >::get_compact_typecode_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Implements CORBA::TypeCode.

CORBA::ULong TAO::TypeCode::String< TAO::Null_RefCount_Policy >::length_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

ACE_INLINE TAO::TypeCode::String< TAO::Null_RefCount_Policy >::String | ( | CORBA::TCKind | kind,
|  | CORBA::ULong | length
| ) |

| Constructor.

void TAO::TypeCode::String< TAO::Null_RefCount_Policy >::tao_duplicate | ( | void |  | ) | `[virtual]`

| Increase the reference count on this `TypeCode`. Implements CORBA::TypeCode.

bool TAO::TypeCode::String< TAO::Null_RefCount_Policy >::tao_marshal | ( | TAO_OutputCDR & | cdr,
|  | CORBA::ULong | offset
| ) | const`[virtual]`

  | Marshal this `TypeCode` into a CDR output stream. Marshal this `TypeCode` into the cdr output CDR stream, excluding the `TypeCode` kind. Existing cdr contents will not be altered. The marshaled `TypeCode` will be appended to the given cdr CDR output stream. Parameters:
  | cdr | Output CDR stream into which the `TypeCode` will be marshaled.
  | offset | Number of bytes currently in the output CDR stream, including the top-level TypeCode `TCKind`. This argument is useful for recursive `TypeCodes`. `TypeCodes` that contain other `TypeCodes` should pass an updated offset value to the marshaling operation for those contained `TypeCodes`.
Returns: `true` if marshaling was successful. Note: This is a TAO-specific method that is not part of the standard `CORBA::TypeCode` interface. If this method returns , the contents of the cdr output CDR stream are undefined. Implements CORBA::TypeCode.

void TAO::TypeCode::String< TAO::Null_RefCount_Policy >::tao_release | ( | void |  | ) | `[virtual]`

| Decrease the reference count on this object. Implements CORBA::TypeCode.

## Member Data Documentation

CORBA::ULong const TAO::TypeCode::String< TAO::Null_RefCount_Policy >::length_`[private]`

| Length of the `string`. A length of zero indicates an unbounded `string`.

The documentation for this class was generated from the following files:

- String_TypeCode_Static.h
- String_TypeCode_Static.cpp
- String_TypeCode_Static.inl